E-MailRelay

Classes | Namespaces | Functions
geightbit.h File Reference
`#include "gdef.h"`
`#include "galign.h"`
`#include <memory>`
`#include <algorithm>`

Go to the source code of this file.

## Classes
struct | G::EightBitImp::extend< T, t, N >
| Evaluates a type 'T' bitmask comprising N copies of byte 't'. More...
struct | G::EightBitImp::extend< T, t, 1U >
| Terminal specialisation of extend<>. More...
struct | G::EightBitImp::is8bit_fn< T >
| Functor returning true if 't' AND-ed with an extend mask based on 0x80 is non-zero. More...

## Namespaces
namespace | G
| Low-level classes.
namespace | G::EightBitImp
| An implementation namespace for G::eightbit().

## Functions
template<typename T >
bool | G::EightBitImp::is8bit_imp_int (const unsigned char *p, std::size_t n)
bool | G::EightBitImp::is8bit_imp_uchar (const unsigned char *p0, std::size_t n)
bool | G::EightBitImp::is8bit_slow (const unsigned char *p0, std::size_t n)
bool | G::EightBitImp::is8bit_faster (const unsigned char *p0, std::size_t n)
bool | G::eightbit (const unsigned char *p, std::size_t n)
| Returns true if the given data buffer contains a byte greater than 127. More...
bool | G::eightbit (const char *p, std::size_t n)
| Returns true if the given data buffer contains a character greater than 127. More...
bool | G::eightbit (const unsigned char *p, std::size_t n, int)
| Returns true if the given data buffer contains a byte greater than 127. More...
bool | G::eightbit (const char *p, std::size_t n, int)
| Returns true if the given data buffer contains a character greater than 127. More...